EvSignal::__construct
EvSignal::set
EvSignal
PHP Manual

# EvSignal::createStopped

(PECL ev >= 0.2.0)

EvSignal::createStopped — Create stopped EvSignal watcher object

### Description

final public static EvSignal EvSignal::createStopped ( int `$signum` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Create stopped EvSignal watcher object. Unlike EvSignal::__construct() , this method does't start the watcher automatically.

### Parameters

`signum`

  Signal number. See constants exported by pcntl extension. See also signal(7) man page.

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvSignal object on success.

### See Also

- EvWatcher::start() - Starts the watcher
- EvSignal::__construct() - Constructs EvPeriodic watcher object

EvSignal::__construct
EvSignal::set
EvSignal
PHP Manual